Subject: Re: [RFC 1/2] net-next: fix DSA flow_disection

From: John Crispin <[email-masked]>
Date: Tue, 20 Jun 2017 19:38:53 +0200

On 20/06/17 19:30, Florian Fainelli wrote:
> On 06/20/2017 07:01 AM, Andrew Lunn wrote:
>> On Tue, Jun 20, 2017 at 10:06:54AM +0200, John Crispin wrote:
>>> RPS and probably other kernel features are currently broken on some if not
>>> all DSA devices. The root cause of this that skb_hash will call the
>>> flow_disector.
>> Hi John
>>
>> What is the call path when the flow_disector is called? I'm wondering
>> if we can defer this, and call it later, after the tag code has
>> removed the header.
> Would not you usually want to configure RPS at the DSA network device
> level where the switch tag has already been popped and you are
> processing a regular Ethernet frame at that point?
Hi Florian,

is explained in my mail to Andrew, you really want to be able to setup 
RPS for all devices in the chain to free up the core handling IRQs

     John